html {
    font-family: 'Noto Sans TC', sans-serif !important;
}

body {
    background-attachment: fixed;
    position: relative;
}

.bg-blur-full{
    position: absolute;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(1.2px);
    z-index: -1;
}

.homeDbTopLogo {
    text-align: left;
    margin-top: 20px;
    margin-bottom: 60px;
}

.homeDbTopLogo img {
    width: 98%;
    max-width: 520px;
    filter: drop-shadow(0 0 40px rgb(255 255 255 / 100%));
}

.homeDbTopLogo2023{
    width: 100%;
    max-width: 600px; 
    padding-left: calc(var(--bs-gutter-x) * .5); 
    padding-right: calc(var(--bs-gutter-x) * .5);
    filter: drop-shadow(0 0 6px RGBA(255,255,255,1));
    backdrop-filter: blur(3px);
    background-color: rgb(255 255 255 / 10%);
    box-shadow: 0 0 38px rgb(255 255 255 / 20%);
}

/*
.homeDbTopLogo{
  text-align: center;
  margin-top: 40px;
  margin-bottom: 40px;
}
.homeDbTopLogo img{
  width: 80%;
  max-width: 280px;
}
*/
@media screen and (max-width: 768px) {
    .homeDbTopLogo {
        margin-top: 100px;
    }
}

.homePhotos img {
    width: 89%;
    max-width: 660px;
    border-radius: 8px;
    box-shadow: 0 0 8px rgb(0 0 0 / 20%);
    transition: transform .4s;
}

/*
.homePhotos img:hover{
  transform: scale(1.026);
}
*/
.homeDbFooter {
    width: 98%;
    max-width: 560px;
}

.row.gallery {
    display: flex;
    align-items: center;
}

.row.gallery .card {
    margin-bottom: 1.2em;
    display: inline-block;
    box-shadow: 0 0 12px rgb(0 0 0 / 18%);
    border: 0;
    opacity: 1;
    overflow: hidden;
    transition: all 0.4s;
    border-radius: 0.9em;
    background-color: rgba(255,255,255,0.26);
    backdrop-filter: blur(3px);
}

.row.gallery .card:hover {
    box-shadow: 0 0 36px rgb(234 67 53 / 42%);
    border-radius: 0.4em;
}

.row.gallery .card:hover .card-img-top {
    opacity: 1;
    transform: none;
    filter: brightness(1.1) contrast(1.1);
    transition: all 0.2s;
}

.row.gallery .card-img-top {
    transition: all 0.8s;
    position: relative;
    z-index: 1;
}

.row.gallery .card:hover .card-img-top {
    transition: all 0.6s;
    transform: scale(1.014);
}

.row.gallery .card-body {
    padding: 0.6em 1em 0.8em 1em;
    z-index: 2;
    position: relative;
}

.row.gallery .card-title {
    margin-bottom: 0;
    font-weight: 500;
    color: #0D652D;
}

.row.gallery .card-text {
    margin-bottom: 0;
    font-weight: 500;
    font-size: 0.9em;
    /*font-style:italic;*/
    color: #D93025;
    font-family: 'RocknRoll One', 'Noto Sans TC', sans-serif;
}

.footer {
    font-family: 'Roboto Slab', 'Noto Sans TC', sans-serif;
    color: #404040;
}

.card-columns {
    -webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
    -webkit-column-gap: 1.25rem;
    -moz-column-gap: 1.25rem;
    column-gap: 1.25rem;
}

.row.gallery .card.memberGroupPic{
    border-radius: 2em;
    transition: all 0.4s;
}

.row.gallery .card.memberGroupPic:hover{
    border-radius: 0.5em;
    transition: all 0.2s;
}

.memberGroupPic{
    position: relative;
}

.memberGroupPic_img{
    z-index: 1;
}

.memberGroupPic_img_shine{
    z-index: 2 !important;
    position: absolute !important;
    left: 0;
    top: 0;
    pointer-events: none;
    opacity: 0.4;
}

.memberGroupPic_text {
    position: absolute;
    left: 50%;
    bottom: 0.4em;
    transform: translateX(-50%);
    font-size: 0.9em;
    font-weight: 400;
    color: white;
    text-shadow: 0 0 6px rgba(0, 0, 0, 1);
    width: 90%;
    text-align: center;
    z-index: 3;
    pointer-events: none;
    opacity: 0.7;
    font-style: italic;
}

.btnMorePic{
    font-weight: 500;
    text-shadow: 0 0 10px rgb(0 0 0 / 0.8);
    box-shadow: 0 0 8px rgb(0 0 0 / 0.3);
    border-radius: 200px;
    padding: 0.6em 2.6em;
    line-height: 1em;
    font-size: 1.2em;
    backdrop-filter: blur(3px);
    background-color: rgba(64,64,64,0.5);
    border: 0;
    transition: all 0.8s;
}
.btnMorePic:hover{
    border-radius: 8px;
    transition: all 0.4s;
}

#imagebox .ib-content .ib-control div{
    background-color: rgb(133 133 133 / 80%);
}

#imagebox .ib-content .ib-caption{
    background: none;
    text-shadow: 0 0 10px rgba(0,0,0,1);
    text-align: center;
    padding: 2em 1em;
}

/*
#imagebox .ib-content .ib-caption {
    background: none;
    text-shadow: 0 0 8px rgba(0, 0, 0, 1);
    text-align: center;
    padding: 0.5em 1em;
    line-height: 1.2em;
    width: fit-content;
    margin: 0.5em 2em;
    left: 50%;
    bottom: 0;
    position: absolute;
    transform: translateX(-50%) translateY(-50%);
    background-color: rgb(0 0 0 / 30%);
    backdrop-filter: blur(6px);
    border-radius: 16px;
    box-shadow: 0 0 10px rgba(0,0,0,0.6);
}
*/

@media (min-width: 576px) {
    .card-columns {
        -webkit-column-count: 2;
        -moz-column-count: 2;
        column-count: 2;
    }
}

@media (min-width: 768px) {
    .card-columns {
        -webkit-column-count: 3;
        -moz-column-count: 3;
        column-count: 3;
    }

    .card-columns .card {
        margin-bottom: 1.4em;
    }
}

@media (min-width: 1200px) {
    .card-columns {
        -webkit-column-count: 4;
        -moz-column-count: 4;
        column-count: 4;
    }
}


/*閃光*/
.lightSweepa {  pointer-events: none;
	-webkit-filter: brightness(1.5);
	-webkit-mask-size: 300% 200%;
	-webkit-mask-image: -webkit-linear-gradient( -45deg, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 60%);
	-webkit-transition: -webkit-mask-position;
	-webkit-animation-timing-function: linear;
	-webkit-transform: translate3d(0, 0, 0);
	-moz-filter: brightness(1.3);
	-moz-mask-size: 300% 200%;
	-moz-mask-image: -webkit-linear-gradient( -45deg, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 60%);
	-moz-transition: -webkit-mask-position;
	-moz-animation-timing-function: linear;
	-moz-transform: translate3d(0, 0, 0);
	-o-filter: brightness(1.5);
	-o-mask-size: 300% 200%;
	-o-mask-image: -webkit-linear-gradient( -45deg, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 60%);
	-o-transition: -webkit-mask-position;
	-o-animation-timing-function: linear;
	-o-transform: translate3d(0, 0, 0);
	filter: brightness(1.9);
	mask-size: 300% 200%;
	mask-image: -webkit-linear-gradient( -45deg, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 60%);
	transition: -webkit-mask-position;
	animation-timing-function: linear;
	transform: translate3d(0, 0, 0);
	transition-duration: 4s;
	animation: move 3s ease-out infinite;
}

.lightSweepa2 {  pointer-events: none;display: 1s;
	-webkit-filter: brightness(1.5);
	-webkit-mask-size: 300% 200%;
	-webkit-mask-image: -webkit-linear-gradient( -45deg, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 60%);
	-webkit-transition: -webkit-mask-position;
	-webkit-animation-timing-function: linear;
	-webkit-transform: translate3d(0, 0, 0);
	-moz-filter: brightness(1.3);
	-moz-mask-size: 300% 200%;
	-moz-mask-image: -webkit-linear-gradient( -45deg, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 60%);
	-moz-transition: -webkit-mask-position;
	-moz-animation-timing-function: linear;
	-moz-transform: translate3d(0, 0, 0);
	-o-filter: brightness(1.5);
	-o-mask-size: 300% 200%;
	-o-mask-image: -webkit-linear-gradient( -45deg, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 60%);
	-o-transition: -webkit-mask-position;
	-o-animation-timing-function: linear;
	-o-transform: translate3d(0, 0, 0);
	filter: brightness(1.9);
	mask-size: 300% 200%;
	mask-image: -webkit-linear-gradient( -45deg, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 60%);
	transition: -webkit-mask-position;
	animation-timing-function: linear;
	transform: translate3d(0, 0, 0);
	transition-duration: 3s;
	animation: move 2s ease-out infinite;
}
  
@keyframes move {
    from {
        -webkit-mask-position: 150% 0px;
        -moz-mask-position: 150% 0px;
        -o-mask-position: 150% 0px;
        mask-position: 150% 0px;
    }
    to {
        -webkit-mask-position: 0% 0px;
        -moz-mask-position: 0% 0px;
        -o-mask-position: 0% 0px;
        mask-position: 0% 0px;
    }
}